解决旧版本 VirtualBox 和 Hyper-V 的兼容问题

作为一名苦逼国内网工狗,eNSP 肯定是要用的(不过之前都是在虚拟机里)

近期购置一台新电脑,安装 Docker for Desktop 之后 eNSP 出错,排查之后发现是旧版本的 VirtualBox 与 Hyper-V的兼容性问题

这就难办了,eNSP 不支援已经支援嵌套虚拟化的 VirtualBox 6.* 版本,目前这款电脑的 Linux 驱动也有比较大的问题无法日用

所以,创建一个"Windows 10 without Hyper-V"的启动项吧

ps以下命令需要在管理员权限的 cmd 下执行(不是 powershell 哦,或者你也可以在powershell下运行cmd)

bcdedit /copy {current} /d “Windows 10 without Hyper-V

上面这条命令会返回一个值,把它替换到下面XXX的地方

bcdedit /set {XXXX-XXXX-XXXX-XXXX-XXXX} hypervisorlaunchtype off

不过要使用 eNSP 就要启动两次还是很烦...

看来网络仿真还是得看 core

FUCK eNSP plz update your vboxserver to support virtualbox 6.*

发表评论

发表评论

*

// 隐藏的 input

冷冷清清